(function($){
	"use strict";
	
	$(window).on('elementor/frontend/init', function () {
		
		elementorFrontend.hooks.addAction('frontend/element_ready/cryptlight_elementor_image_slider.default', function(){

	        /* Add your code here */
			$(".ova-image-slider .image-slider").each(function(){
				var owlsl 		= $(this) ;
				var owlsl_ops 	= owlsl.data('options') ? owlsl.data('options') : {};

				var responsive_value = {
					0:{
						items:2,
						nav:false
					},
					576:{
						items:3

					},
					768 : {
						items:4
					},
					992:{
						items:5
					},
					1170:{
						items:owlsl_ops.items
					}
				};

				owlsl.owlCarousel({
					autoWidth: owlsl_ops.autoWidth,
					margin: owlsl_ops.margin,
					items: owlsl_ops.items,
					loop: owlsl_ops.loop,
					autoplay: owlsl_ops.autoplay,
					autoplayTimeout: owlsl_ops.autoplayTimeout,
					center: owlsl_ops.center,
					nav: owlsl_ops.nav,
					dots: owlsl_ops.dots,
					thumbs: owlsl_ops.thumbs,
					autoplayHoverPause: owlsl_ops.autoplayHoverPause,
					slideBy: owlsl_ops.slideBy,
					smartSpeed: owlsl_ops.smartSpeed,
					slideTransition: 'linear',
					rtl: owlsl_ops.rtl,
					navText:[
						'<i class="fa fa-angle-left" ></i>',
						'<i class="fa fa-angle-right" ></i>'
						],
					responsive: responsive_value,
				});

		      	/* Fixed WCAG */
				owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
				owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
				owlsl.find(".owl-dots button").attr("title", "Dots");
			});
		});

	});

})(jQuery);
