(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {
		
        elementorFrontend.hooks.addAction('frontend/element_ready/cryptlight_elementor_simple_image_carousel.default', function(){
	       
	        /* Add your code here */
	    	
	    	$(".simple-image-carousel").each(function(){
		        var owlsl = $(this) ;
		        var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
		              	items:1,
		              	stagePadding: 0,
		            },
		            767:{
		              	items:2,
		            },
		            1200:{
		              	items:owlsl_ops.items,
		            }
		        };
		        
		        var carousel = owlsl.owlCarousel({
		          	stagePadding: owlsl_ops.stagePadding,
		          	margin: owlsl_ops.margin,
		          	items: owlsl_ops.items,
		          	loop: owlsl_ops.loop,
		          	autoplay: owlsl_ops.autoplay,
		          	autoplayTimeout: owlsl_ops.autoplayTimeout,
		          	center: owlsl_ops.center,
		          	dots: false,
		          	nav: owlsl_ops.nav,
		          	thumbs: owlsl_ops.thumbs,
		          	autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		          	slideBy: owlsl_ops.slideBy,
		          	smartSpeed: owlsl_ops.smartSpeed,
		          	rtl: owlsl_ops.rtl,
		          	responsive: responsive_value,
		          	navText:[
						'<i class="ovaicon-back-2" aria-hidden="true"></i>',
						'<i class="ovaicon-next-4" aria-hidden="true"></i>'
					],
		        });

		    }); 

        });


   });

})(jQuery);
