(function($){
	"use strict";
	
	$(window).on('elementor/frontend/init', function () {
		
		elementorFrontend.hooks.addAction('frontend/element_ready/cryptlight_elementor_testimonial.default', function(){

	        /* Add your code here */
			$(".ova-testimonial .slide-testimonials").each(function(){
				var owlsl 		= $(this) ;
				var owlsl_ops 	= owlsl.data('options') ? owlsl.data('options') : {};

				var responsive_value = {
					0:{
						items:1
					},
					576:{
						items:1

					},
					992:{
						items:1,
						nav: false,
					},
					1170:{
						items:owlsl_ops.items,
					}
				};

				owlsl.owlCarousel({
					autoWidth: owlsl_ops.autoWidth,
					margin: owlsl_ops.margin,
					items: owlsl_ops.items,
					loop: true,
					autoplay: owlsl_ops.autoplay,
					autoplayTimeout: owlsl_ops.autoplayTimeout,
					center: owlsl_ops.center,
					nav: owlsl_ops.nav,
					animateOut: "slideOutDown",
					animateIn: "flipInX",
					dots: owlsl_ops.dots,
					thumbs: owlsl_ops.thumbs,
					autoplayHoverPause: owlsl_ops.autoplayHoverPause,
					slideBy: owlsl_ops.slideBy,
					smartSpeed: owlsl_ops.smartSpeed,
					rtl: owlsl_ops.rtl,
					navText:[
						'<i class="ovaicon-upload" aria-hidden="true"></i>',
						'<i class="ovaicon-download" aria-hidden="true"></i>'
						],
					responsive: responsive_value,
				});

		      	/* Fixed WCAG */
				owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
				owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
				owlsl.find(".owl-dots button").attr("title", "Dots");
			});
		});

	});

})(jQuery);
